package com.bizmatics.mhfire.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.ZskTeam;
import com.bizmatics.mhfire.persistence.mapper.ZskTeamMapper;
import com.bizmatics.mhfire.service.ZskTeamService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-26
 */
@DS("mhsystem")
@Service
public class ZskTeamServiceImpl extends AbstractCrudService<ZskTeamMapper, ZskTeam> implements ZskTeamService {

    @Override
    public CommonPage<ZskTeam> page(Integer current, Integer size) {
        IPage<ZskTeam> page = new Page<>(current, size);
        LambdaQueryWrapper<ZskTeam> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.orderByDesc(ZskTeam::getCreated);
        page = this.page(page, queryWrapper);
        return this.ToCommonPage(page);
    }
}
